#include <iostream>
#include <cmath>
using namespace std;
int main(){
int V,broj,a,b,c,broj2,broj3,rez;
cin>>V;

   a=5;
   b=2;
   c=1;
   broj=V/a;
   broj2=(V%a)/b;
   broj3=((V%a)%b)/c;
   rez=broj+broj2+broj3;
   cout<<rez;
















return 0;
}